/**************************************************************************
*     Ȩ 	Copyright (c) 2015
* ļƣ	Net_Setup.h
* ļʶ
* ժҪ    翪SDK,Ϣ
* ˵
* ǰ汾	V1.0
*     
* ڣ	20130828
**************************************************************************/
#ifndef __DCNETSETUP_H
#define __DCNETSETUP_H

#ifdef     NET_API
#else
  #define NET_API __declspec(dllimport)
#endif

#ifndef   _stdcall
#define _stdcall
#endif
#ifdef __cplusplus
extern "C"
{
#endif

typedef int DCHANDLE;

#define HANDLE_INVALID -1

/**************************************************************************
 *                                                             *
 **************************************************************************/

#define VERSION_NAME_LEN	 	64
#define MAX_SERVER_NAME_LEN		64
#define MAX_USER_PWD_LEN		32
#define MAX_FILE_NAME_LEN		256
#define MAX_TIMEBUCKET			4
#define MAX_HOST_LEN			16
#define ONE_DIRECTION_LANES		(5)
#define EVENT_CAP_TIMEBUCEKT_CNT 4
#define MAX_PARTITION_COUNT     10
#define MSG_PARAM_LEN			1424
#define MAX_LED_COUNT           5
#define MAX_LED_CONTENT         64
#define MAX_WEL_CONTENT			32
#define  AVE_REG_NUM       8       //Ŀ

#define MAX_PATH          260
#define  QY_UINT_MAX    0xffffffff
#define QY_UCHAR_MAX  255
#define FALSE          0
#define TRUE          1
/* ״̬볣*/
typedef enum
{
	DC_NO_ERROR			      = 0,   //
	DC_HANDLE_INVALID		  = 1,   //Чľ
	DC_CONN_FAIL			  = 2,   //ʧ
	DC_OBJ_BUSY				  = 3,   //æ
	DC_OBJ_UNEXIST			  = 4,   //󲻴
	DC_CMD_INVALID			  = 5,   //Ч
	DC_PARA_INVALID			  = 6,   //Ч
	DC_REQ_TIMEOUT			  = 7,   //ʱ
	DC_MEMORY_LACK 			  = 8,   //ڴʧ
	DC_SEND_FAIL 			  = 9,   //ݷʧ
	DC_RECV_FAIL			  = 10,  //ݽʧ
	DC_OPT_FAIL				  = 11,  //ʧ
	DC_NOT_CONN 			  = 12,  //ûд
	DC_BEYOND_MAX_CLIENT      = 13, //
	DC_CONNECT_AUTH           = 18,  /*ӼȨ*/
	DC_USER_NOT_EXIST		  = 19, /*û*/
	DC_PASSWD_ERROR			  = 20, /**/
	DC_UNDEFINED_ERROR		  = -1,


	//ϴ
	DC_UPLOAD_DATA_SERVER_ALLOC_FAIL = 1200, //ϴ񴴽ʧ
	DC_UPLOAD_UNABLE_TO_OPEN_FILE = 1201, //ϴļܷ
	DC_UPLOAD_SOCKET_CREATE_FAIL = 1202, //ϴ񴴽socketʧ
	DC_UPLOAD_CONNECT_CAMERA_FAIL = 1203, //ϴʧ
	DC_UPLOAD_READ_FILE_FAIL = 1204, //ϴļȡʧ
	DC_UPLOAD_SEND_FILE_NO_ALL = 1205, //ϴļͲ


	//
	DC_DOWNLOAD_DATA_SERVER_ALLOC_FAIL = 1250, //ط񴴽ʧ
	DC_DOWNLOAD_SOCKET_CREATE_FAIL = 1251, //ط񴴽socketʧ
	DC_DOWNLOAD_CONNECT_CAMERA_FAIL = 1252, //طʧ
	DC_DOWNLOAD_CREATE_FILE_FAIL = 1253, //ط񴴽ļʧ
	DC_DOWNLOAD_RECV_DATA_FAIL = 1254, //طʧ


	//
	DC_UPDATE_FILE_TYPE_ERROR = 1400, //ļͲ
}E_ReturnCode;

typedef struct
{
	unsigned short usFileType;
	unsigned short usServerPort;
	char aucServerIp[32];
	char aucFileName[128];
	unsigned int  uiFileSize;
}T_FileUpdateSetup;

typedef struct
{
	unsigned short usFileType;
	unsigned short usServerPort;
	char aucServerIp[32];
	char aucFileName[128];
	unsigned int  uiFileSize;
	unsigned char acFileMd5[16];
}T_FileUpdateSetupEx;

typedef struct
{

	unsigned char ucLprMode;  /* 01*/
	unsigned char ucReseved;
	unsigned short usServerPort;
	char aucServerIp[32];
}T_ExportBlackWhiteList;

typedef enum
{
	WHITE_LIST_NEW_SEND,//·
	WHITE_LIST_ADD_SEND,//
	WHITE_LIST_DEL_SEND,//ɾ
	WHITE_LIST_MAX
}E_WhiteListSendMode;
typedef enum
{
	BLACK_LIST,//
	WHITE_LIST//
}E_ListMode;
typedef enum
{
	CODE_IN_UTF8,//UTF-8
	CODE_IN_GB2312//GB2312
}E_CodeMode;

typedef struct
{
	unsigned char ucLprMode;  /* E_ListMode*/
	unsigned char ucLprCode;      /* E_CodeMode*/
	unsigned short usServerPort;
	unsigned char ucLprnew; /*E_WhiteListSendMode*/
	unsigned char aucReseved[3];
	char aucServerIp[32];
	char aucFileName[128];
	unsigned int  uiFileSize;
}T_ImportBlackWhiteList;


/* ̷ʾ*/
typedef struct
{
	unsigned int	uiSizeM;							/* СMByteΪλ*/
	unsigned int	uiUsedM;							/* ʹôСMByteΪλ*/
}T_PartitionInfo;

typedef struct
{
	unsigned char		ucPartitionCnt;
	unsigned char		aucReserved[3];
	T_PartitionInfo atPartition[MAX_PARTITION_COUNT];
}T_HardDiskInfo;

typedef enum
{
	LED_SCREEN_I = 0,
	LED_SCREEN_II,
	LED_SCREEN_OFFLINE_I,
	LED_SCREEN_OFFLINE_II,
	LED_SCREEN_III,
	LED_SCREEN_OFFLINE_III,
	LED_SCREEN_IV,
	LED_SCREEN_V,
	LED_SCREEN_VI,
	LED_SCREEN_VII,
	LED_SCREEN_VIII,
	LED_SCREEN_IX,
	LED_SCREEN_X,
	LED_SCREEN_XI,
	LED_SCREEN_XII,
	LED_SCREEN_XIII,
	LED_SCREEN_XIV,
	LED_SCREEN_XV,
	LED_SCREEN_XVI,
	LED_SCREEN_XVII,
	LED_SCREEN_XVIII,
	LED_SCREEN_XIX,
	LED_SCREEN_XX,
	LED_SCREEN_MAX
}E_LedScreenType;
typedef enum
{
	LS_MODE_UNKNOW = 0,
	LS_MODE_OFFLINE,	 /*ѻʹ*/
	LS_MODE_ENABLE,	 /*ʹܣѻ*/
	LS_MODE_DISABLE,	 /*ʹ*/
	LS_MODE_MAX
}E_LedScreenMode;
typedef struct
{
	unsigned int	uiInterval;//̧բʱms
	unsigned char   ucLed;//E_LedScreenType
	unsigned char   ucLedScreenMode;//E_LedScreenMode
	unsigned short	usDownInterval;//բʱms
}T_ParkSetup;
typedef struct
{
	unsigned char		ucPartitionNum;
}T_HardDiskNum;/*ʽӲѡ*/

typedef struct
{
	unsigned char ucTransProt;	/* E_TransmitProtocol*/
	unsigned char szReserved[3];
}T_TransProt;

/*־*/
typedef enum
{
	LOG_LEVEL_INFO_MAX = 0,
	LOG_LEVEL_INFO_MID,
	LOG_LEVEL_INFO_MIN,
}E_LogLevelInfo;

typedef enum
{
	WEEK_DAY_EACH =0, /*ÿ*/
	WEEK_DAY_ZERO,  /**/
	WEEK_DAY_ONE,   /*һ*/
	WEEK_DAY_TWO,
	WEEK_DAY_THREE,
	WEEK_DAY_FOUR,
	WEEK_DAY_FIVE,
	WEEK_DAY_SIX,
	WEEK_DAY_ALL,
}E_WeekDay;

/*ʱ*/
typedef struct
{
	unsigned char ucLogLevel; /*E_LogLevelInfo*/
	unsigned char ucAutoRebootEn;
	unsigned char ucDayOfWeek; /*E_WeekDay*/
	unsigned char ucReserved;
	unsigned int uiAutoRebootTime;
}T_TimeReboot;

typedef struct
{
	unsigned short usFileType;//ҵ0ں2ļϵͳ3E_UpgradeType
	char aucFilePath[256];
}T_UpdateSetup;

typedef struct
{
	char aucFilePath[256];
}T_ImportConfigSetup;

typedef struct
{
	char aucFilePath[256];
}T_ExportConfigSetup;

typedef struct
{
	char  szFileName[256];
}T_FileName;

/* */
typedef enum
{
	UPGRADE_TYPE_APP = 0,
	UPGRADE_TYPE_APP_FORCE = 1,  /* Ӧǿ*/
	UPGRADE_TYPE_KERNEL = 2,
	UPGRADE_TYPE_FS = 3,
	UPGRADE_TYPE_WEB = 4,
	UPGRADE_TYPE_DSP = 5,
	UPGRADE_TYPE_LOGO = 6,
	UPGRADE_TYPE_CONFIG = 7, /* ļ*/
	UPGRADE_TYPE_LPR = 8, /* */
	UPGRADE_TYPE_PRESENT_VEH = 9,
	UPGRADE_TYPE_OFFLINE_DATA = 10, /* ͼѻ*/
	UPGRADE_TYPE_OFFLINE_PAY = 11,  /* ͼѻշ*/
	UPGRADE_TYPE_RE_PLATE = 12,  /* ƺ*/
	UPGRADE_TYPE_IPC_LOGFILE = 13,  /* log־*/
	UPGRADE_TYPE_ALL
}E_UpgradeType;


typedef struct
{
	unsigned short usFileType;
	unsigned short usServerPort;
	char aucServerIp[32];
	char aucFileName[256];
	unsigned int  uiFileSize;
	unsigned char acFileMd5[16];
	unsigned char ucFileCode;/* 0utf-8ַ룻1gb2312ַ*/
	unsigned char ucFileOpt; /*0 ȫݣ1ݣ2:ɾݣ*/
	unsigned char aucReserved[14];
}T_FileServerSetup;

typedef struct
{
	unsigned short usFileType;
	unsigned short usServerPort;
	char aucServerIp[32];
	char aucFileName[128];
	unsigned int  uiFileSize;
	unsigned char acFileMd5[16];
	unsigned char ucFileCode;/* 0utf-8ַ룻1gb2312ַ*/
	unsigned char ucFileOpt; /*0 ȫݣ1ݣ2:ɾݣ*/
	unsigned char aucReserved[14];
}T_FileServerSetupCam;


/* 糣*/
typedef struct
{
	unsigned char	ucEth;				/* ̫ڱ,Ŀǰֻ֧0*/
	unsigned char	aucReserved[3];
	unsigned int	uiIPAddress;
	unsigned int	uiMaskAddress;
	unsigned int	uiGatewayAddress;
	unsigned int	uiDNS1;
	unsigned int	uiDNS2;
	char			szHostName[MAX_HOST_LEN];
}T_NetSetup;

/* 鲥*/
typedef struct
{
	unsigned char	ucEnabled;
	unsigned char	aucReserved;
	unsigned short	usOfflinePort;
	unsigned int	uiIP;
	unsigned short			usMainVidPort;
	unsigned short			usViceVidPort;
	unsigned short			usMainAudPort;
	unsigned short			usViceAudPort;
}T_MulticastSetup;

/* MACַ*/
typedef struct
{
	unsigned char	ucEth;				/* ̫ڱ,Ŀǰֻ֧0*/
	unsigned char	aucReserved[3];
	unsigned char	aucMACAddresss[6];
}T_MACSetup;

typedef struct
{
	 unsigned char   ucEnable;
	 unsigned char   ucReserved;
	 unsigned short  usPort;
	 char			 szIpAddr[16];
}T_AssistantIpnc;  /**/

typedef struct
{
	unsigned char	ucEnable;
	unsigned char	ucCharCode;
	unsigned short 	usPort;
	char			szIpAddr[16];
}T_Messenger;

typedef struct
{
	unsigned char ucCusNo; /*ͻţ0ʾδ֪*/
	unsigned char aucReserved[3];
}T_CustomerNo;

typedef struct
{
	unsigned char	ucEnable;      /*ʱʹ*/
	unsigned char	ucTimeLen;   /*ִʱλ:*/
	unsigned char	aucReserved[2];
	unsigned int	uiAutoStartTime; /*ˢʱʱ0x00HHMMSS ֽΪ*/
}T_WiperTiming;

typedef  struct
{
	unsigned short x1;                         //Ͻx
	unsigned short y1;                         //Ͻy
	unsigned short x2;			       //½x
	unsigned short y2;                         //½y
}T_Ave_Rect;

//ʾ״
typedef  struct
{
	unsigned short	uwDist;                  //Ԥʾˮƽ
	unsigned short	uwResrved;
	T_Ave_Rect		tAveRect;                //Ԥʾ
}T_Ave_Par;

//ܼϢ
typedef  struct
{
	unsigned char   ucBlureTh;             //ģֵΧ0,100,ԽԽģ
	unsigned char	ucRegNum;		  //ԤʾĿ-8
	unsigned short	uwResrved;
	T_Ave_Par      tAvePar[AVE_REG_NUM];  //Ԥʾ
}T_Ave_Config;

typedef struct
{
	unsigned short	   uwDistVmet;
	unsigned short	   uwResrved;
}T_Ave_Result;

typedef enum
{
	PARK_OFFLINE_STATE,//ѻ״̬
	PARK_ONLINE_STATE,//״̬
	PARK_MAX_STATE
}E_ParkState;
typedef struct
{
	unsigned char	ucState;
	unsigned char	aucReserved[3];
}T_ParkRealTimeState;//ͤӵʵʱ״̬ѻ

typedef struct
{
	unsigned char  	ucState; /*0:1:*/
	unsigned char	aucReserved[3];
}T_WiperManual;  /*ˢֶ*/

typedef struct
{
	unsigned short usSigCtrlSerPort;
	unsigned char  aucReserved[2];
}T_SigControlPort;

 /* ˿ */
typedef struct
{
	unsigned short	usHttpPort;
	unsigned short	usRtspPort;
}T_ServicePortSetup;

 /* ͼ */
typedef struct
{
	unsigned char	ucMode;			/* ģʽĿǰ֧JPEG*/
	unsigned char	ucFmt;			/* ʽֱ*/
	unsigned char	ucQuality;		/* */
	unsigned char	ucPeriod;		/* ڣ17/*/
}T_ImageCodec;

/* ģʽ*/
typedef enum
{
	OPERATE_MODE_MANUAL = 1, 				/* ֶģʽ*/
	OPERATE_MODE_AUTO,	            /* Զģʽ*/
	OPERATE_MODE_ALL
}E_OperateMode;

/* */
typedef struct
{
	unsigned char ucShutterMode;                /* ģʽ */
	unsigned char ucGainMode;                   /* ģʽ */
	unsigned char szReserved[2]; 				/*ֶ*/
	unsigned int  uiShutterValue;               /* ֵ */
	unsigned short usGainValue;                 /*  */
	unsigned short usBrightnessTH;              /* ȵı׼οֵ */
}T_CameraSetup;

/* Ƶ*/
typedef struct
{
	unsigned char	ucMode;			/* ģʽĿǰ֧H264*/
	unsigned char	ucFmt;			/* ʽֱ*/
	unsigned char	ucFps;			/* ֡Ƶ PAL125ѡNTSCƣֱΪ1080Pʱ125ѡ130ѡ*/
	unsigned char	ucRateControl; 	/* ʿƣ0->VBR(ɱ)1->CBR(̶)*/
	unsigned int	uiRate;			/* ʣ38400016000000 bps*/
	unsigned char	ucIFPeriod;		/* I֡15 룻*/
	unsigned char	ucEnabled;		/*ǷƵЧ*/
	unsigned char   ucIncSnapFrame; /*ץ֡ʹ*/
	unsigned char	ucReserved;
}T_VideoCodec;

typedef enum
{
	BAUD_RATE_1200,
	BAUD_RATE_2400,
	BAUD_RATE_4800,
	BAUD_RATE_9600,
	BAUD_RATE_19200,
	BAUD_RATE_38400,
	BAUD_RATE_57600,
	BAUD_RATE_115200,
	BAUD_RATE_ALL
}E_BaudRate;

typedef enum
{
	RS485_FUNCTION_PASS = 0,
	RS485_FUNCTION_SCREEN,
	RS485_FUNCTION_MAX,
}E_RS485Function;
typedef enum
{
	CHECK_TYPE_NONE,	/* У*/
	CHECK_TYPE_ODD,		/* У*/
	CHECK_TYPE_EVEN,	/* żУ*/
	CHECK_TYPE_FLAG,	/* ־У*/
	CHECK_TYPE_EMPTY,	/* У*/
	CHECK_TYPE_ALL
}E_CheckType;

/* RS485*/
typedef struct
{
	unsigned char   ucIndex;
	unsigned char   ucFunction;         /*E_RS485Function*/
	unsigned char	ucBaudRate;			/* E_BaudRate*/
	unsigned char	ucDataBits;			/* λ58*/
	unsigned char	ucStopBits;			/* ֹͣλ02*/
	unsigned char	ucCheckOut;			/* E_CheckType*/
	unsigned char   ucReserved[2];
}T_RS485Setup;

 /*ⲹ*/
typedef struct
{
	unsigned char ucEnable;
	unsigned char aucReservel[3];
}T_ImageEv;

 /*̬*/
typedef struct
{
	unsigned char ucEnable;
	unsigned char ucExposalTime1; /*0<  <15*/
	unsigned char ucInducePressure1;/*64<   <127*/
	unsigned char ucExposalTime2;
	unsigned char ucInducePressure2;
	unsigned char aucReserved[3];
}T_ImageWDR;

typedef enum
{
	KAKOU = 0,          /**/
	RUN_REDLIGHT,   	/**/
	OVER_SPEED,     	/**/
	REVERSE,        	/**/
	TRAFFIC_BAN,    	/*Уʹ*/
	CROSS_LINE,     	/*Խ*/
	ILLEGAL_STOP,    	/*Υͣ*/
	ILLEGAL_OCCUP,   	/*רõ*/
	ILLEGAL_PRESS_LINE, /*ѹ*/
	ILLEGAL_NOLANE_RUN, /*ʻ*/
	SNAPSHOT_TYPE_ALL,  /*Ч*/
	ILLEGAL_PREDICT,  	/*ΥԤ*/
	NET_SNAP = 0xFF,
}E_SnapshotType;

typedef enum
{
	MERGE_TYPE_NONE,
	MERGE_TYPE_H,					/* ϲ*/
	MERGE_TYPE_V,					/* ϲ*/
	MERGE_TYPE_H_ADAPT,				/* +Ƶ(²)*/
	MERGE_TYPE_V_ADAPT,				/* +Ƶ(Ҳ)*/
	MERGE_TYPE_FOUR,				/* */
	MERGE_TYPE_SIX,					/* Σ6*/
	MERGE_TYPE_H_SMALL,				/* ϲ*/
	MERGE_TYPE_V_SMALL,				/* ϲ*/
	MERGE_TYPE_FOUR_SMALL,			/* */
	MERGE_TYPE_ALL
}E_ImageMergType;


/* ¼ץĲ*/
typedef struct
{
	unsigned char	ucEventCaptureType;   /* ¼ץ E_SnapshotType 0(ץ)1ץģ3()4ץģ5Խץģ6Υͣץģ8ѹץģ9(ʻץ)*/
	unsigned char	ucPicSnapshotNum;     /*ץ*/
	unsigned char	szReserver[2];
	/* -1Ȧ1-2Ȧ2-3Ȧ1-4Ȧ2
		-5 Ƶ⣬ʾͷˣΪ״⣬״򣬱״豸
		-6 Ƶ⣬ʾβ뿪ˣΪ״⣬ѡЧ
		0ֵʾʱץģֵʾʱʱ䣬 0300ms
	*/
	int	aiGetPicPosition[3];
	unsigned char	ucPicMergeType;				/* ͼƬϳͣ0ϳɣ1ϳɣ2ϳɣ3Ƶ+루²֣4Ƶ+루Ҳ֣5ַ*/
	unsigned char	ucMainPicItem;				/* ͼţͼƬΪ34ʱЧ*/
	unsigned char	ucRecordEnable;				/* Ƿ֧Υ¼*/
	unsigned char	ucRecordTime;				/* ¼ʱ47*/
	unsigned char 	ucPreRecordTime;			/*Ԥ¼ʱ03룬ĬΪ2s*/
	unsigned char 	ucReserved;					/*ֶ*/
	unsigned short  usIllegalCode;				/*Υ´*/
}T_EventCapturePara;

/*ʱ*/
typedef struct
{
	unsigned char ucStartHour;
	unsigned char ucStartMinute;
	unsigned char ucEndHour;
	unsigned char ucEndMinute;
}T_TimeBucket;

typedef struct
{
	unsigned char	ucEnabled;
	unsigned char	aucReserved[3];
	T_TimeBucket	tTimeBucket;
}T_EnableTimeBucket;

/* ò*/
typedef struct
{
	unsigned char		ucFlashLightMode;		/* ơģʽ0:*/
	unsigned char		ucNormalWorkMode;		/*ģʽE_LightWorkMode*/
	unsigned char		ucIllegalWorkMode;		/*ΥģʽE_LightWorkMode*/
	unsigned char		ucOpenBrightnessTH;		/* Զģʽ£ƿֵ*/
	T_EnableTimeBucket	atFourceFlashTime[2];	/*ǿʱ*/
}T_FlashLightSetup;

/* Ƶò*/
typedef struct
{
	unsigned char	ucNormalWorkMode;			/* ģʽE_LightWorkMode*/
	unsigned char	ucCombinationalWorkMode;	/* ϲģʽָƿµĲģʽE_LightWorkMode*/
	unsigned char	ucOpenBrightnessTH;			/* Զģʽ£Ƶƿֵ*/
	unsigned char	ucReserved;
}T_LedLightBasicSetup;


typedef enum
{
	STRAIGHT_LANE = 0,
	LEFT_TURN_LANE,
	RIGHT_TURN_LANE,
	LEFT_STRAIGHT_LANE,
	RIGHT_STRAIGHT_LANE,
	LEFT_RIGHT_LANE,
	LEFT_STRAIGHT_RIGHT_LANE,  /*20140311 add by zhuby*/
	LANE_TYPE_ALL,
}E_LaneType;

typedef enum
{
	FT_PICTURE_KK = 0,   /*ͼƬ*/
	FT_PICTURE_CHD,      /**/
	FT_PICTURE_CS,       /**/
	FT_PICTURE_NX,       /**/
	FT_PICTURE_JX,       /**/
	FT_PICTURE_YX,       /*Խ*/
	FT_PICTURE_WT,       /*Υͣ*/
	FT_PICTURE_ZD,       /*ռ*/
	FT_PICTURE_PL,       /*ѹ*/
	FT_PICTURE_NRW,      /*ʻ*/
	FT_EVENT_STAT,       /*ͨ¼ͳ*/
	FT_LOG_FILE,		 /**/
	FT_AUTO_UPGRADE,     /*Զ*/
	FT_ALL,
}E_FileType;

typedef struct
{
	unsigned char	ucEnabled;   		/*ʱֶ*/
	unsigned char	ucWorkDayEnable;	/**/
	unsigned char	ucWeekEndEnable;	/*ĩ*/
	unsigned char	ucReserved1;
	T_TimeBucket	tTimeBucket;
	unsigned char	ucRunRedLightSnap;  /*ץ*/
	unsigned char	ucKaKouSnap;        /*ץ*/
	unsigned char	ucReverseSnap;      /*ץ*/
	unsigned char	ucCrossLineSnap;    /*Խץ*/
	unsigned char	ucOverSpeedSnap;	/* ץ*/
	unsigned char	aucReserved2[3];
}T_EventCapTimeBasicSetup;

typedef enum
{
	PLATE_DIRECTION_TAIL = 0,  /*β*/
	PLATE_DIRECTION_HEAD,      /*ͷ*/
	PLATE_DIRECTION_ALL,
}E_PlateDirection;

typedef struct
{
	unsigned char ucEnabled;			/**/
	unsigned char ucLaneNo;				/**/
	unsigned char ucLaneIndex;
	unsigned char ucLaneType;			/*E_LaneType*/
	unsigned char ucRedLightSnapTestEn;	/*ץĲ*/
	unsigned char ucTimeSegEnable;  	/*ʱ*/

	unsigned char ucLaneDir; 			/*E_PlateDirection*/

	/**/
	unsigned char ucMaxSpeed;			/*λKM/H ӾڲʹãwebΪֶ*/

	T_EventCapTimeBasicSetup atCaptureTime[MAX_TIMEBUCKET];/*ץʱ*/
}T_RoadLaneBasicSetup;

typedef struct
{
	unsigned char ucEnabled;   		  /*ʱֶ*/
    unsigned char ucWorkDayEnable;    /**/
	unsigned char ucWeekEndEnable;	  /*ĩ*/
	unsigned char uacReserved1;
	T_TimeBucket  tTimeBucket;
	unsigned char ucPressLineSnap;    /*ѹץ*/
	unsigned char ucNoAccordRoadWay;  /*ʻ*/
	unsigned char ucTrafficBanSnap;   /*ץ*/
	unsigned char ucIllegeStopSnap;   /*Υͣץ*/
	unsigned char ucSpecialRoadSnap;  /*רõץ*/
	unsigned char aucReserved[3];
}T_EventCapTimeExtendSetup;

/* չ*/
typedef struct
{
	unsigned char	ucLaneIndex;
	unsigned char	ucTrafficStaEn;			/*Ƿýͨ¼ͳ*/
	unsigned char	ucOccupRatioEventEn;	/*Ƿռʱ*/
	unsigned char	ucVehicleStopEventEn;	/*Ƿͣʻ*/
	unsigned char	ucTrafficJamEventEn;	/*Ƿýͨӵ±*/
	unsigned char	ucSpecialRoadType;
	unsigned char	ucTimeSegEnable;
	unsigned char	ucVehStatTime;			/*ͨͳڣλΪ*/
	T_EventCapTimeExtendSetup  atCaptureTime[EVENT_CAP_TIMEBUCEKT_CNT];/*ץʱ*/
}T_RoadLaneExtendSetup;

/* ٲ*/
typedef struct
{
	unsigned char	ucLaneIndex;
	char			cLoopDefaultSpeedRatio;		/*ȦĬٶУ*/
	char			cLoopHightSpeedRatio;		/*ȦٶУ*/
	unsigned char	ucLoopHightSpeedCaliLimit;	/*ȦУٶֵ*/
	char			cRadarDefaultSpeedRatio;	/*״ĬٶУ*/
	char			cRadarHightSpeedRatio;		/*״ٶУ*/
	unsigned char	ucRadarHightSpeedCaliLimit;	/*״Уٶֵ*/
	char			cVideoDefaultSpeedRatio;	/*ƵĬٶУ*/
	char			cVideoHightSpeedRatio;		/*ƵٶУ*/
	unsigned char	ucVideoHightSpeedCaliLimit;	/*ƵУٶֵ*/
	unsigned char	ucHighSpeedLimit;			/*ٶ*/
	unsigned char	ucLowSpeedLimit;			/*ٶ*/
	unsigned char	ucSpeedLimitClassifyEn;		/**/
	unsigned char	ucCarHighSpeedLimit;		/*Сͳٶ*/
	unsigned char	ucCarLowSpeedLimit;			/*Сͳٶ*/
	unsigned char	ucTruckHighSpeedLimit;		/*ͳٶ*/
	unsigned char	ucTruckLowSpeedLimit;		/*ͳٶ*/
	unsigned char	szReserved[3];
}T_SpeedCorrAndLimitSetup;

typedef struct
{
	unsigned char	ucPlateRealTimeShowEn;				/* modify by zhuby 20160712:ʾʵʱƣĬϹر*/
	unsigned char	ucRecRegShowEn;						/* modify by zhuby 20160712:ʾʶĬϴ*/
	unsigned char	ucVehicleColorRecogEn;		/* ɫʶʹ*/
	unsigned char	ucVehicleBrandRecogEn;		/* ʶʹ*/
	unsigned char	ucCpHightTI;				/* ͬһץļֽ*/
	unsigned char	ucLocalCity; 				/*Ƶĵڶַ'A'~'Z'*/
	unsigned char	ucPlateDirection;           /*ƷE_PlateDirection*/
	unsigned char	ucCpTimeInterval;           // ͬһץļ  ֽ
	unsigned int	uiPlateDefaultWord;			/* ĬʡݣUTF-8*/

	unsigned short	usMinPlateW;				/*ʶС,λ:*/
	unsigned short	usMaxPlateW;				/*ʶȣλ:*/
	unsigned char	ucDoubleYellowPlate;		/*˫ʶ1ʶ 0ʶ*/
	unsigned char	ucVehicleInterval;			/*ǰץļλ:*/
	unsigned char	ucPolicePlate;				/*侯ƺ0: 1:*/
	unsigned char	ucPlateFeature;				/*д*/
}T_VehicleVAFunSetup;


typedef struct
{
	unsigned char ucTime;
	unsigned char ucAddress;
	unsigned char ucDevNo;
	unsigned char ucRecordNo;		/**/
	unsigned char ucIllegalCode;
	unsigned char ucPicType;
	unsigned char ucRoadNo;
	unsigned char ucVehiclePlate;
	unsigned char ucVehicleSize;
	unsigned char ucVehicleSpeed;
	unsigned char ucVehicleFace;
	unsigned char ucWaterMark;
	unsigned char ucOverlayType;	/* ͼƬĻӷ0еӣ1е*/
	unsigned char ucVehicleColor;
	unsigned char ucPlateRealPixel;  /* Ƿӳʵ*/
	unsigned char ucReserved;
}T_PicOsdSetup;

typedef enum
{
	DIR_STRUCT_DEV_DATE,			/* 豸++ʱ֯Ŀ¼*/
	DIR_STRUCT_DEV_DIR_LANE_DATE,	/* 豸++++ʱ֯Ŀ¼*/
	DIR_STRUCT_ALL
}E_DirStruct;

/* SD洢*/
typedef enum
{
	SD_WRITE_TYPE_ROLL,
	SD_WRITE_TYPE_STOP,
	SD_WRITE_TYPE_ALL
}E_FULL_WRITE_TYPE;

/* 洢*/
typedef struct
{
	unsigned char	ucEnable;					/* ش洢ʹ*/
	unsigned char	ucDirStuct;					/* Ŀ¼ṹE_DirStruct*/
	unsigned char	ucWritePolicy;				/* ʱĴԣE_FULL_WRITE_TYPE*/
	unsigned char	ucBackupPolicyNormal;		/* ͼƬıݲԣ0ݣ1*/
	unsigned char	ucBackupPolicyIllegal;		/* ΥͼƬıݲԣ0ݣ1*/
	unsigned char	ucBackupPolicyIRecord;		/* Υ¼Ƿ񱣴0:ݣ1:*/
	unsigned char	ucIllegalRecordEn;			/* Υ¼ʹܱ־*/
	unsigned char	ucIllegalRecordTime;		/* Υ¼¼ʱ*/
	unsigned char	ucIllegalRecordReadyTime; 	/* Ԥ¼ʱ*/

	unsigned char	ucRealTimeRecordEn;			/* ʵʱ¼Ƿ*/
	unsigned char	ucRealTimeRecordDuration;	/* ʵʱ¼ʱ,(1~120)*/
	unsigned char	ucReserved;
}T_StorageSetup;

typedef struct
{
	unsigned char	ucEnable;
	unsigned char	ucMode;			/* ʾģʽ0: ýʾ, 1:ļʾ*/
	unsigned char	aucReserved[2];
	char			szUrl[256];
}T_DemoSetup;


typedef enum
{
	SUBDIR_TYPE_ROOT,   					/*ʹøĿ¼*/
	SUBDIR_TYPE_DATE,						/*ʹڷĿ¼*/
	SUBDIR_TYPE_DEVNUM,						/*豸ŷĿ¼*/
	SUBDIR_TYPE_DEVNUM_DATE,				/*豸+ Ŀ¼*/
	SUBDIR_TYPE_DEVNUM_DATE_HOUR,			/*豸+ + СʱĿ¼*/
	SUBDIR_TYPE_DEVNUM_ROAD_DATE_HOUR,		/*豸+++СʱĿ¼*/
	SUBDIR_TYPE_DEVNUM_DIR_ROAD_DATE_HOUR,	/*豸+ + + +СʱĿ¼*/
	SUBDIR_TYPE_ALL
}E_SubDirType;

/* FTP*/
typedef struct
{
	unsigned char	ucEnabled;
	unsigned char	ucSubDirCreateType;   /* Ŀ¼ʽE_SubDirType*/
	unsigned short	usServerPort;
	char			szServerName[MAX_SERVER_NAME_LEN];
	char			szUser[MAX_USER_PWD_LEN];
	char			szPwd[MAX_USER_PWD_LEN];
	unsigned char	ucTransMode; 		/* passive or not 0:passive 1:active*/
	unsigned char	ucTransFileType; 	/*  whick kind of file we want to transfer. E_FileType*/
	unsigned char	ucKeepBackup; 		/*  whether to keep the file in local after it has been upload.*/
	unsigned char	ucTransPeriod;		/*  unit is minute*/
	unsigned char	ucCharacterSet; 	/*E_CharSet*/
	unsigned char	ucReserved;
	char			szFTPRootPath[MAX_FILE_NAME_LEN];
}T_FTPSetup;

/* 豸Ϣ*/
typedef struct
{
	char			szDistrictNumber[16];	/* */
	char			szProjectName[64];		/* Ŀ*/
	char			szDevNumber[16];		/* 豸ţû壻*/
	char			szRoadName[64];			/* */
	char			szRoadNumber[16];		/* ڱ*/
	unsigned char	ucDirection;			/* */
	unsigned char	aucReserved[3];		  	/* ֶ*/
	char			szLicenseNum[64];  		/* license*/
	char			szRecordNum[32];        /**/
}T_DevSetup;

typedef enum
{
	SIMPLE_LIGHT,
	LANE_LIGHT,
	COMPLEX_LIGHT
}E_SignalLightType;

typedef enum
{
	NONE_MODE,
	ALL_RED_MODE,
	LEFT_WAIT_MODE
}E_SignalLightMode;

/*źŵƼԴ*/
typedef enum
{
	CHECK_MODE_RS485 = 0,
	CHECK_MODE_VIDEO,
}E_SignalLightCheckMode;

/*źŵƲ*/
typedef struct
{
	unsigned char ucCheckSrc;   /*źŵƼԴ E_SignalLightCheckMode*/
	unsigned char ucRedShine;	/*Ƿ˸*/
	unsigned char ucMode;		/*0-/1-ȫģʽ/2-תͣ*/
	unsigned char ucBanRt;		/*Ƿֹת*/

	unsigned char ucType;		/*źŵE_SignalLightType*/
	unsigned char ucLeftDelay;	/*תʱ*/
	unsigned char ucRightDelay;	/*תʱ*/
	unsigned char ucGoStraightDelay;/*ֱʱ*/
	T_EnableTimeBucket atInvalidTimeBucket[MAX_TIMEBUCKET];/*ʧЧʱ*/
}T_SignalLightSetup;

typedef struct
{
	unsigned short	uwIndex;//С
	unsigned short	uwX;//
	unsigned short	uwY;//
	unsigned short	uwReserved;
	unsigned char	ucRed;//
	unsigned char	ucYellow;//
	unsigned char	ucGreen;//
	unsigned char	ucCountdown;//ʱ
	unsigned char	ucLeft;//
	unsigned char	ucStraight;//ֱ
	unsigned char	ucRight;//
	unsigned char	ucSwing;//ͷ
} T_LightParm;

typedef struct
{
	unsigned char	ucRadius;//뾶				  λأ
	unsigned char	ucTrack;//Ƿ			  1/0
	unsigned char	ucBanRight;//Ƿ         1/0
	unsigned char	ucBanYellow;//ǷץĴƵ  1/0
	unsigned short	uwLightNum;//СƸ
	unsigned short	uwReserved;
	T_LightParm	tLightParm[9];//СϢ
}T_SigLightParm;

typedef struct
{
	unsigned short	usYear;
	unsigned char	ucMonth;
	unsigned char	ucDay;
	unsigned char	ucHour;
	unsigned char	ucMinute;
	unsigned char	ucSecond;
	unsigned char	ucDayFmt;
	unsigned char	ucTimeFmt;
	unsigned char	ucTimeZone;
	unsigned char	aucReserved[2];
}T_DCTimeSetup;

/* SNTP*/
typedef struct
{
	unsigned char	ucEnabled;
	unsigned char	ucReserved[3];
	 char	szSNTPServer[64];
	unsigned short	usPort;
}T_SNTPSetup;

typedef struct
{
	unsigned char ucEnable;
	unsigned char ucOffset;
	unsigned char szReserved[2];
}T_ACSyncSetup;

/*ͬ*/
typedef struct
{
	unsigned char ucEnable;
	unsigned char ucOffset;
	unsigned char szReserved[2];
}T_DCAcSyncSetup;

typedef struct
{
	unsigned char	ucIndex;	/* Ļţ0-40·ΪʱĻֻǷӣ */
	unsigned char	ucEnabled;		/* ʹܱ־*/
	unsigned char	ucFontSize;		/* С*/
	unsigned char	ucWeekEnabled;	/*ʾ*/
	unsigned int	uiForeColor;		/* ǰɫʽΪ0x00RRGGBB*/
	unsigned int	uiBackColor;		/* ɫʽΪ0xXXRRGGBBXXΪ0ʾҪɫ*/
	unsigned short	usPosX;			/* X  */
	unsigned short	usPosY;			/* Y  */
	unsigned short	ausContent[33];   /* ĻݣUNICODE16ʽ0β    */
	unsigned char   aucReserved[2];
}T_Subtitle;

typedef struct
{
	unsigned char	ucGroupId;                   /* ID */
	unsigned char	ucShutterMode;               /* ģʽ */
	unsigned char	ucGainMode;                  /* ģʽ */
	unsigned char	ucReserved;					 /*ֶ*/
	unsigned int	uiShutterValue;              /* ֵ */
	unsigned short	usGainValue;                 /*  */
	unsigned short	usBrightnessTH;              /* ȷֵ*/
}T_DCSnapParaSetup;

typedef struct
{
	unsigned char	ucLaneNo;			/**/
	unsigned char	ucReserved[3];
	unsigned int	uiDate;
	unsigned int	uiTime;
	unsigned int	uiVehicleNum;		/**/
	unsigned int	uiAveSpeed;			/*ƽ*/
	unsigned int	uiTimeOccupyRate;	/*ʱռ*/
}T_DCTraStatReport;


typedef struct
{
	unsigned char ucShutterMode;                /* ģʽ */
	unsigned char ucGainMode;                   /* ģʽ */
	unsigned char szReserved[2]; 				/*ֶ*/
	unsigned int uiShutterValue;				/* ֵ */
	unsigned short usGainValue;                 /*  */
	unsigned short usBrightnessTH;              /* ȵı׼οֵ */
}T_VideoParaSetup;

typedef struct
{
	unsigned char	ucMode;			/* ģʽĿǰ֧H264*/
	unsigned char	ucFmt;			/* ʽֱ*/
	unsigned char	ucFps;			/* ֡Ƶ1<<25*/
	unsigned char	ucRateControl; 	/* ʿƣ0->VBR(ɱ)1->CBR(̶)*/
	unsigned int	uiRate;			/* ʣ38400016000000 bps*/
	unsigned char	ucIFPeriod;		/* I֡15 룻*/
	unsigned char	ucEnabled;		/*ǷƵЧ*/
	unsigned char   ucIncSnapFrame; /*ץ֡ʹ*/
	unsigned char	ucReserved;
}T_VideoCodeSetup;

/*̬Ƶṹ*/
typedef struct
{
	unsigned char   ucEnabled;
	unsigned char   ucReserved;
	unsigned short  usTime;
	unsigned int	uiRate;
}T_DynamicCode;

typedef struct
{
	unsigned short  usHigh;
    unsigned short  usWidth;
	unsigned int	uiVideoFormat;//Ƶֵ֧ĸʽλֵʾͬλֵʾ£0->Ч1->CIF2->4CIF3->SXGA4->720P5->UXGA6->1080P73031->ȫֱʣȺ͸߶ȵֵó
	float   ucMaxFs;
}T_DCSpec;

typedef enum
{
	FILE_DOWNLOAD_TFTP = 0,
	FILE_DOWNLOAD_FTP,
	FILE_DOWNLOAD_ALL,
}E_FileDownloadType;

typedef struct
{
	char acKernelVersion[VERSION_NAME_LEN];
	char acFileSystemVersion[VERSION_NAME_LEN];
	char acAppVersion[VERSION_NAME_LEN];
	char acHardwareVersion[VERSION_NAME_LEN];
	unsigned char ucLoopStatus;   /*Ȧ״̬*/
	unsigned char ucVAStatus;     /*ģ״̬*/
	unsigned char ucRadarStatus;  /*״״̬*/
	unsigned char ucReserved;
	char  szSerialNum[64];		/*Ʒк*/
	unsigned int uiDateOfExpiry;/*ƷЧ*/
}T_DcQueVersionRsp;

/*ϱ汾*/
typedef struct
{
	char		szKernelVersion[VERSION_NAME_LEN];
	char		szFileSystemVersion[VERSION_NAME_LEN];
	char		szAppVersion[VERSION_NAME_LEN];
	char		szWebVersion[16];
	char		szProtocolVersion[16];
	char		aucReserved[32];
	char		szHardwareVersion[VERSION_NAME_LEN];
	char		szDevType[64];		/* 豸ʱ趨*/
	char		szSerialNum[64];    	/*Ʒк*/
	unsigned int	uiDateOfExpiry;		/*ƷЧ*/
	char		szDSPVersion[VERSION_NAME_LEN];
}T_QueVersionRsp;

/* ϵͳ״̬ϱ*/
typedef struct
{
	unsigned char	ucLoopStatus;		/* Ȧ״̬0쳣*/
	unsigned char	ucRadarStatus;		/* ״״̬0쳣*/
	unsigned char	ucVAStatus;			/* ܷģ״̬0쳣*/
	unsigned char	ucSSDStatus;		/* Ӳ״̬0쳣*/
	unsigned int	uiSSDSize;			/* ӲλGB*/
	unsigned int	uiSSDReserved;		/* ʣλGB*/
}T_SysState;

typedef enum
{
	LOOP_DETECT = 0,	/*Ȧ*/
	RADAR_DETECT,		/*״*/
	VIDEO_DETECT,		/*Ƶ*/
	LOOP_VIDEO_DETECT,	/*Ȧ+Ƶ*/
	RADAR_VIDEO_DETECT, /*״+Ƶ*/
	ALL_DETECT_METHOD
}E_DetectMethod;

/* ģʽ*/
typedef struct
{
	unsigned char ucDetectMode;	   /*ģʽE_DetectMethod*/
	unsigned char szReserved[3];   /*ֶ*/
}T_DetectModeSetup;

/* ȦϢ*/
typedef enum
{
	LEAVE_LOOP, /*Ȧ*/
	ENTER_LOOP, /*Ȧ*/
}E_LoopInfo;

/*Ȧ*/
typedef struct
{
	unsigned char	ucLaneIndex;     /* ȦӦĳ */
	unsigned char  ucLoopLaneIndex; /*϶Ӧĳ0ʼ*/
	unsigned char   ucMode;
	unsigned char   szReserved;
	//unsigned char  szReserved[2];    /*ֶ*/
	unsigned short	usLoopWidth;     /*Ȧ*/
	unsigned short	usLoopInterval;  /*Ȧ*/
}T_LoopParamSetup;

/*״*/
typedef struct
{
	unsigned char	ucLaneIndex;		/*ȦӦĳ*/
    unsigned char  ucRadarLaneIndex;	/*״ﳵ,0ʼ*/
	unsigned char  szReserved[2];       /*ֶ*/
	unsigned short	usPoleHeight;    /* ˸߶ */
	unsigned short	usPoleToCenter;  /* ˵״ */
}T_RadarParamSetup;

/* */
typedef struct
{
	short sX;
	short sY;
}T_Point;

/* */
typedef struct
{
	T_Point tStartPoint;
	T_Point tEndPoint;
}T_Line;

/* */
typedef struct
{
	T_Point tLefTop;
	T_Point tRightBottom;
}T_Rect;

typedef struct
{
	unsigned char ucDashedLine;
	unsigned char ucReserved;
	T_Line tLine;
}T_DivisionLine;

/*Ƶ*/
typedef struct
{
	unsigned char		ucLanes;		/*  */
	unsigned char		ucSnapAutoBike; /*Ħгץ1:ץ0:ץ*/
	unsigned short		usBanTime;   /*Υͣʱֵλ:*/
	unsigned char		ucVirLoopNum; /*ȦץĦгʹ*/
	unsigned char 		ucPlateRegPointNum;  /*ʶΪǰ0ʾĬΪ4*/
	//unsigned char		aucReserved[2];
	unsigned char		ucLprHead;	/* ʶģʽ,TRUEͷģʽ,FALSEβģʽ(ͷģʽ:˫ƾʶ𣬳βģʽ:ֻǱ˫)*/
	unsigned char		ucZoomSlop;	/* ͼǷб*/

	T_Point		atPlateRegion[4];      /*ʶ*/
	T_Line		aStopLine;              /*ʶչ2*/
	T_Point		atSpeedRegion[4];/*  */
	T_Line		atOccupCheckLine[2];/*ռʼ   */
	T_DivisionLine	atDivisionLine[ONE_DIRECTION_LANES+1];/*ָ*/
	T_Line		tPrefixLine;  /*羯ǰ*/
	T_Line		tLeftBorderLine;  /*羯߽*/
	T_Line		tRightBorderLine;  /*羯ұ߽*/
	T_Point		atVirLoop[ONE_DIRECTION_LANES][4]; /*Ȧ*/

	/*Ƿͣ*/
	T_Point		atBanRegion[4];   /*Ƿͣ*/

	unsigned short		usCameraHeight;        /* װ߶ */
	unsigned short		usRectLength;          /*·γ()*/
	unsigned short		usRectWidth;           /*·ο()*/
	unsigned short		usTotalDis;            /*ϽǵֱͶӰľ()*/
}T_VideoDetectParamSetup;

typedef struct
{
	unsigned char		ucLanes;		/*  */
	unsigned char		ucSnapAutoBike; /*Ħгץ1:ץ0:ץ*/
	unsigned short		usBanTime;   /*Υͣʱֵλ:*/
	unsigned char		ucVirLoopNum; /*ȦץĦгʹ*/
	/*Υ*/
	unsigned char 		ucRunRedLight;   /*E_IllegalSensitive*/
	unsigned char             ucNobyLane;        /**/
	unsigned char             ucCrossLine;        /*ѹ*/
	T_Point		atPlateRegion[4];      /*ʶ*/
	T_Line		aStopLine;              /*: Ӿ:ֹͣ*/
	T_Point		atSpeedRegion[4];/*  */
	T_Line		atOccupCheckLine[2];/*ռʼ   */
	T_DivisionLine	atDivisionLine[ONE_DIRECTION_LANES+1];/*ָ*/
	T_Line		tPrefixLine;  /*羯ǰ*/
	T_Line		tLeftBorderLine;  /*羯߽*/
	T_Line		tRightBorderLine;  /*羯ұ߽*/
	T_Point		atVirLoop[ONE_DIRECTION_LANES][4]; /*Ȧ*/

	/*Ƿͣ*/
	T_Point		atBanRegion[4];   /*Ƿͣ*/

	unsigned short		usCameraHeight;        /* װ߶ */
	unsigned short		usRectLength;          /*·γ()*/
	unsigned short		usRectWidth;           /*·ο()*/
	unsigned short		usTotalDis;              /*ϽǵֱͶӰľ()*/
	unsigned char 	       ucReverseRun;        /**/
	unsigned char   	       ucIllegalStop;         /*Υͣ*/
	unsigned char		aucReserved[2];
}T_DJVideoDetectParamSetup;

typedef  struct
{
	unsigned  char		ucIndex;
	unsigned  char		ucFunction;
	unsigned  char		ucBaudRate;
	unsigned  char		ucDataBits;
	unsigned  char		ucStopBits;
	unsigned  char		ucCheckOut;
	unsigned  char		ucReserved[2];
}T_ParkRS485Setup;

/*ļͶ*/
typedef enum
{
	FILE_TYPE_LOG = 0,
	FILE_TYPE_RECORD,
	FILE_TYPE_IMAGE,
	FILE_TYPE_ALL,
}E_FILE_TYPE;

/* ļĿѯṹ*/
typedef struct
{
	unsigned  char  ucType;   //E_FILE_TYPE
	unsigned  char  aucReserved[3];
	unsigned  int	uiStartDate; 		/*07ʾգ815ʾ£1631λʾ*/
	unsigned  int	uiStartTime; 		/*07λʾ룬815λʾ֣1623λʾʱ*/
	unsigned  int	uiEndDate;
	unsigned  int	uiEndTime;
}T_QueryFileBase;

/* ļϢѯṹ*/
typedef struct
{
	T_QueryFileBase tBase;
	unsigned  int uiItem;
}T_QueryFileItem;

/* ļĿϱ*/
typedef struct
{
	T_QueryFileBase tQueFileInfo;
	unsigned  int uiCount;
}T_FileCountRsp;

 /* ļϢϱ*/
typedef struct
{
	T_QueryFileItem tQueryItem;
	unsigned  char   szFileName[256];
	unsigned  int uiCreateDate;
	unsigned  int uiCreateTime;
	unsigned  int uiDuration;
}T_FileInfoRsp;

typedef struct
{
	unsigned  char	ucState; // 1:̰,2:
	unsigned  char	aucReserved[3];
}T_ResetKeyPressState;//λµ״̬̰򳤰

typedef struct
{
	unsigned  char 	ucEnable;    /*Ƿʹ*/
	unsigned  char 	ucLevel;      /*LEDȵȼ1~7*/
	unsigned  char  	aucReserved[2];
	unsigned  short  usStartTime;  /*ʼʱ䵥λ:*/
	unsigned  short  usEndTime;   /*ʱ䵥λ:*/
}T_ParkLedManualItem;

typedef struct
{
	T_ParkLedManualItem atParkLedMan[3];
}T_ParkLedManual; /*LEDǿƿ*/

typedef struct
{
	unsigned  char	ucEnable;
	unsigned  char	aucReserved[3];
}T_3GSetup;

typedef struct
{
	unsigned  char  ucEnable;
	unsigned  char	aucReserved[3];
	char			ssid[64];
	char			pwd[64];
	unsigned  int	uiIPAddress;
	unsigned  int	uiMaskAddress;
	unsigned  int	uiGatewayAddress;
}T_WirelessSetup;

typedef enum
{
	LED_SCREEN_SUB_SINGLE = 0, /**/
	LED_SCREEN_SUB_TOW,		   /*˫*/
	LED_SCREEN_SUB_FOUR,	  /*Ĳ*/
	LED_SCREEN_SUB_MAX
}E_LedScreenSubType;

typedef struct
{
	unsigned  char   ucLedSubType;  //E_LedScreenSubType
	unsigned  char   ucLedNum;      //1~255
	unsigned  char	 ucReserved[2];
}T_ScreenSetup;

typedef struct
{
	unsigned  char LprResult[16];/*ƺ룻Ϣ10ƺ룻ֶϢ*/
	unsigned  char TotalNum;   // ûܳλ
	unsigned  char IdleNum;   // ûʣ೵λ
	char	  szEndTime[18]; //
	unsigned  int Id;        //˻id
	unsigned  char Auth[10]; //10ַֽͨʮƵַʾ40ʶλ
	unsigned  char VehType; //0ʱ1Ա
	unsigned  char MemberValid; //ԱǷЧ0ʾЧ1ʾЧ
	unsigned  char Reserved[4]; //λ
}T_VehResult;


typedef struct
{
	unsigned short Start; //Ϊλ,08:20ʾ8*60+20=500
	unsigned short End;   //Ϊλ,08:20ʾ8*60+20=500
}T_Section;

typedef struct
{
	unsigned  char	ucSync; // 0:ͬ,1:ͬ
	unsigned  char	aucReserved[3];
	T_Section tTable[16];
}T_SectionTable;

typedef struct
{
	unsigned  int  Id;        // ˻id
	unsigned  char TotalNum;  // ûܳλ
	unsigned  char IdleNum;   // ûʣ೵λ
}T_UserParkInfo;

typedef struct
{
	char	  szPlate[16];		/*ƺ룬GB2312*/
	char	  szStartTime[16];  /*ʼʱYYYYMMDDhhmmss*/
	char	  szEndTime[16];    /*YYYYMMDDhhmmss*/
	unsigned  int Id;           //˻id
	unsigned  char TotalNum;    //ûܳλ
	unsigned  char IdleNum;     //ûʣ೵λ
	unsigned  char Auth[12];    //10ַֽͨʮƵַʾ40ʶλ
	unsigned  char Section[6];  //24Сʱʱ,4ʮƵַʾʽ洢16ʱεıʶϢ
}T_LprInfo;

typedef struct
{
	unsigned  char ucType;         //E_SendLprMode
	unsigned  char ucConut;        //δĳƸ
	unsigned  char aucReserved[2]; //λ
	T_LprInfo	  atLprResult[10]; //Ϣ
}T_SendLprByMessEx;

typedef struct
{
	unsigned  char ucResult; //ѯĽ0Ϊδҵóƣ1Ϊɹҵó
	unsigned  char aucReserved[3];
	T_LprInfo	  tLprResult;
}T_RspLprResultEx;

typedef enum
{
	PARK_BLUE_PLATE = 0x01,   /**/
	PARK_YELLOW_PLATE = 0x02, /**/
	PARK_BLACK_PLATE = 0x04, /**/
	PARK_JIAOLIAN_PLATE = 0x08,/**/
	PARK_JINGCHE_PLATE = 0x10, /**/
	PARK_WUJING_PLATE = 0x20, /*侯*/
	PARK_JUNCHE_PLATE = 0x40, /**/
	PARK_GANGAO_PLATE = 0x80, /*۰*/
	PARK_SHIGUAN_PLATE = 0x100, /*ʹ*/
}E_DetectPlateType;

typedef struct
{
	unsigned short usTypeBit;
}T_DetectPlateType;

typedef struct
{
	unsigned char	ucEnable; //ʹ; 0:ʹ 1:ʹ
	unsigned char   ucBLCEnable;//˳ⱳⲹ      0:ʹ 1:ʹ
	unsigned char	aucReserved[2];
	unsigned int	uiIpAddr;//ipַСֽ0ʾЧֵ
}T_AssCameraSetup;

typedef struct
{
	unsigned char  ucStatus;//0 ʾж 1 
	unsigned char  ucReserved[3];
}T_AssCameraStatus;

typedef struct
{
	unsigned int  uiIPAddress;//ipַСֽ0ʾЧֵ
	unsigned int  uiMaskAddress;
	unsigned int  uiGatewayAddress;
}T_AssCameraIpModify;

typedef struct
{
	T_Point  tPoint[4];
}T_AssDistrict;

typedef struct
{
	unsigned int  uiNum;
	unsigned int  uiIpAddr[32];//ipַСֽ0ʾЧֵ
}T_AssCameraIpSearch;

typedef struct
{
	int  level;
	unsigned int  leastTime;
	unsigned int  mostTime;
}T_XMExposureCfg;

typedef struct
{
	int  gain;
	int  autoGain;
}T_XMGainCfg;

typedef struct
{
	unsigned char  ucBright;
	unsigned char  ucNight_nfLevel;
	unsigned char  ucDay_nfLevel;
	unsigned char  ucDayNightColor;
	T_XMExposureCfg xmExposureCfg;
	T_XMGainCfg     xmGainCfg;
}T_AssCameraParam;

typedef struct
{
	char  acDate[12]; /* YYYYMMDD ,Ϊ"00000000"ʾ */
}T_ExpDate;

typedef struct
{
	unsigned char ucEncId;   /* Ϊ0Ϊ,ΪΪ*/
	unsigned char aucReserved[3];
	char acSignatrue[20];     /*ӿǩַ*/
}T_UserSignatrue;

typedef struct
{
	char acOldPwd[32]; /*AES 128λ㷨ʹ,ܽӿǩַ,base64*/
	char acNewPwd[32]; /*AES 128λ㷨ʹ,ַ,base64*/
}T_ModifyEncPwd;

typedef struct
{
	unsigned char ucEncId;   /* Ϊ0Ϊ,ΪΪ*/
	unsigned char aucReserved[3];
	char acPwd[32];  /*AES 128λ㷨ʹ,ܽӿǩַ,base64*/
}T_EncEnable;

typedef struct
{
	unsigned int iId;
	unsigned char szFilePath[256];
}T_GetImageById;

typedef struct{
	unsigned char	ucEnable;  // Ƿ
	unsigned char	ucSSLEnable;  // ssl Ƿ
	unsigned short	usPort;    // ˿
	char			szIpAddr[16];  // 
	unsigned short	usSSLPort;  // ssl ˿
	unsigned short	usTimeout;  //ʱ
	unsigned char	ucDevReg;  // 豸ע
	char			szRegAddr[127];  //  豸עַ
	unsigned char	ucPlatePush; // ͳʶ
	char			szPPushAddr[127]; // ͳʶַ
	unsigned char	ucBigPic;  //  ͼƬ
	unsigned char	ucSmallPic; //  Сͼ
	unsigned char	ucGpioPush; // Ͷ˿ڴϢ
	char			szGPushAddr[129]; // Ͷ˿ڴϢַ
	unsigned char	ucSerialPush;  // ʹ
	char			szSPushAddr[63];  // ʹݵַ
	char			szWebaddr[64];  // WEBIP  
}T_HttpPushSetup;

typedef struct
{
	unsigned int uiRuntime;   /*ϵͳʱ*/
}T_DevRunTime;

/**********************************************************************
* ƣNet_RebootCamera
* Ͽ֮
* tHandle 
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_RebootCamera(DCHANDLE tHandle);


/**********************************************************************
* ƣNet_TimeSetup
* ʱ
* tHandle 
*			ptTimeSetup ʱָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_TimeSetup(DCHANDLE tHandle,  T_DCTimeSetup *ptTimeSetup);

/**********************************************************************
* ƣNet_QueryTimeSetup
* ѯʱ
* tHandle 
* ptTimeSetup ʱý
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryTimeSetup(DCHANDLE tHandle,  T_DCTimeSetup *ptTimeSetup);

/**********************************************************************
* ƣNet_SntpSetup
* ָsntpϢ
* tHandle 
*           ptSntpSetup sntpָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SntpSetup(DCHANDLE tHandle,  T_SNTPSetup *ptSntpSetup);

/**********************************************************************
* ƣNet_QuerySntpSetup
* ѯsntpϢ
* tHandle 
* ptSntpSetup sntpý
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySntpSetup(DCHANDLE tHandle,  T_SNTPSetup *ptSntpSetup);

/**********************************************************************
* ƣNet_NETSetup
* Ϣ
* tHandle 
*			ptNetSetup 豸Ϣָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_NETSetup(DCHANDLE tHandle,  T_NetSetup *ptNetSetup);

/**********************************************************************
* ƣNet_QueryNETSetup
* ѯϢ
* tHandle 
* ptNetSetup 豸Ϣ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryNETSetup(DCHANDLE tHandle,  T_NetSetup *ptNetSetup);



/**********************************************************************
* ƣNet_QueryMACSetup
* ѯMACַ
* tHandle 
* ptMacSetup 豸Ϣý
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryMACSetup(DCHANDLE tHandle,  T_MACSetup *ptMacSetup);

/**********************************************************************
* ƣNet_AcSyncSetup
* ָĽͬϢ
* tHandle 
*           ptAcSyncSetup ָͬ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_AcSyncSetup(DCHANDLE tHandle,  T_DCAcSyncSetup *ptAcSyncSetup);

/**********************************************************************
* ƣNet_QueryAcSyncSetup
* ѯĽͬϢ
* tHandle 
* ptAcSyncSetup ָͬ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryAcSyncSetup(DCHANDLE tHandle, T_DCAcSyncSetup *ptAcSyncSetup);

/**********************************************************************
* ƣNet_ImageQualitySetup
* ָͼϢ
* tHandle 
*           ptImageCodec ͼ1100
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ImageQualitySetup(DCHANDLE tHandle,T_ImageCodec *ptImageCodec);

/**********************************************************************
* ƣNet_QueryImageQualitySetup
* ѯͼϢ
* tHandle 
* ptImageCodec  ͼ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryImageQualitySetup(DCHANDLE tHandle, T_ImageCodec *ptImageCodec);

/**********************************************************************
* ƣNet_VideoSubtitleSetup
* ָƵĻϢ
* tHandle 
*           ptSubtitle ƵĻϢָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_VideoSubtitleSetup(DCHANDLE tHandle, T_Subtitle *ptSubtitle);

/**********************************************************************
* ƣNet_QueryVideoSubtitleSetup
* ѯƵĻϢ
* tHandle 
*			ptSubtitle->ucIndex ƵĻ
* ptSubtitle ƵĻϢָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryVideoSubtitleSetup(DCHANDLE tHandle, T_Subtitle *ptSubtitle);

/**********************************************************************
* ƣNet_QueryImageById
* ͼƬIDȡͼƬFTP·
* tHandle 
*			ptGetImageById->iId ͼƬID
* ptGetImageById ͼƬϢ
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_QueryImageById(DCHANDLE tHandle, T_GetImageById *ptGetImageById);

/**********************************************************************
* ƣNet_SaveImageById
* ͼƬIDȡͼƬ浽
* tHandle 
*			iId ͼƬID
*			szFileSavePath ͼƬ·
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_SaveImageById(DCHANDLE tHandle, int iId, char *szFileSavePath);

/**********************************************************************
* ƣNet_SnapParaSetup
* ָץĲ
* tHandle 
*           ptSnapParaSetup ץĲָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SnapParaSetup(DCHANDLE tHandle, T_DCSnapParaSetup *ptSnapParaSetup);

/**********************************************************************
* ƣNet_QuerySnapParaSetup
* ѯץĲ
* tHandle 
*           ptSnapParaSetup->ucGroupId ָID
* ptSnapParaSetup ץĲָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySnapParaSetup(DCHANDLE tHandle,T_DCSnapParaSetup *ptSnapParaSetup);

/**********************************************************************
* ƣNet_VideoParaSetup
* ָƵ
* tHandle 
*           ptVideoParaSetupƵָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_VideoParaSetup(DCHANDLE tHandle, T_VideoParaSetup *ptVideoParaSetup);

/**********************************************************************
* ƣNet_QueryVideoParaSetup
* ѯָץĲ
* tHandle 
* ptVideoParaSetup Ƶָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryVideoParaSetup(DCHANDLE tHandle, T_VideoParaSetup *ptVideoParaSetup);

/**********************************************************************
* ƣNet_VideoCodeSetup
* ָƵ
* tHandle 
*           ptVideoCodeSetup Ƶָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_VideoCodeSetup(DCHANDLE tHandle, T_VideoCodeSetup *ptVideoCodeSetup);

/**********************************************************************
* ƣNet_QueryVideoCodeSetup
* ѯָƵ
*  tHandle 
*			 ptVideoCodeSetup Ƶָ
*  ptVideoCodeSetup Ƶָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryVideoCodeSetup(DCHANDLE tHandle, T_VideoCodeSetup *ptVideoCodeSetup);

/**********************************************************************
* ƣNet_ViceVideoCodeSetup
* Ƶ
* tHandle 
*           ptVideoCodeSetup Ƶָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ViceVideoCodeSetup(DCHANDLE tHandle, T_VideoCodeSetup *ptVideoCodeSetup);

/**********************************************************************
* ƣNet_QueryViceVideoCodeSetup
* ѯƵ
*  tHandle 
*  ptVideoCodeSetup Ƶָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryViceVideoCodeSetup(DCHANDLE tHandle, T_VideoCodeSetup *ptVideoCodeSetup);

/**********************************************************************
* ƣNet_DynamicCodeSetup
* ָĶ̬Ƶ
* tHandle 
*           ptDynamicCode ̬Ƶָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_DynamicCodeSetup(DCHANDLE tHandle, T_DynamicCode *ptDynamicCode);

/**********************************************************************
* ƣNet_QueryDynamicCodeSetup
* ѯָĶ̬Ƶ
*  tHandle 
*  ptDynamicCode ̬Ƶָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDynamicCodeSetup(DCHANDLE tHandle, T_DynamicCode *ptDynamicCode);

/**********************************************************************
* ƣNet_QueryCameraSpec
* ѯ
* tHandle 
* ptSpec ָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryCameraSpec(DCHANDLE tHandle, T_DCSpec  *ptSpec);

/**********************************************************************
* ƣNet_DevInfoSetup
* 豸Ϣ
* tHandle 
*           ptDevSetup 豸Ϣָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_DevInfoSetup(DCHANDLE tHandle,  T_DevSetup *ptDevSetup);

/**********************************************************************
* ƣNet_QueryDevSetup
* ѯ豸Ϣ
* tHandle 
* ptDevSetup 豸Ϣָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDevSetup(DCHANDLE tHandle, T_DevSetup *ptDevSetup);

/**********************************************************************
* ƣNet_FTPSetup
* FTPϢ
* tHandle 
*           ptFtpSetup FTPϢָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_FTPSetup(DCHANDLE tHandle,  T_FTPSetup *ptFtpSetup);

/**********************************************************************
* ƣNet_QueryFTPSetup
* ѯFTPϢ
* tHandle 
* ptFtpSetup FTPϢָ
*   ֵ״̬
***********************************************************************/
NET_API  E_ReturnCode _stdcall Net_QueryFTPSetup(DCHANDLE tHandle,T_FTPSetup *ptFtpSetup);

/**********************************************************************
* ƣNet_AssistantIpncSetup
* øϢ
* tHandle 
*           ptAssistantIpnc Ϣָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_AssistantIpncSetup(DCHANDLE tHandle,  T_AssistantIpnc *ptAssistantIpnc);

/**********************************************************************
* ƣNet_QueryAssistantIpncSetup
* ѯϢ
* tHandle 
* ptAssistantIpnc Ϣָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryAssistantIpncSetup(DCHANDLE tHandle,  T_AssistantIpnc *ptAssistantIpnc);

/**********************************************************************
* ƣNet_MessegerSetup
* ų́ͨѶò
* tHandle 
*           ptMessenger ̨ͨòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_MessegerSetup(DCHANDLE tHandle,  T_Messenger *ptMessenger);

/**********************************************************************
* ƣNet_QueryMessegerSetup
* ѯ̨ͨѶò
* tHandle 
* ptMessenger ̨ͨòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryMessegerSetup(DCHANDLE tHandle,  T_Messenger *ptMessenger);

/**********************************************************************
* ƣNet_SigControlPortSetup
* źſͨŶ˿ڲ
* tHandle 
*           ptSigControlPort źŻƶ˿ڲָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SigControlPortSetup(DCHANDLE tHandle,  T_SigControlPort *ptSigControlPort);

/**********************************************************************
* ƣNet_QuerySigControlPortSetup
* ѯźſͨŶ˿ڲ
* tHandle 
* ptSigControlPort źŻƶ˿ڲָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySigControlPortSetup(DCHANDLE tHandle,  T_SigControlPort *ptSigControlPort);

/**********************************************************************
* ƣNet_CaptureSetup
* ¼ץĲ
* tHandle 
*           ptEventCapturePara ץλòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_CaptureSetup(DCHANDLE tHandle,  T_EventCapturePara *ptEventCapturePara);

/**********************************************************************
* ƣNet_QueryCaptureSetup
* ѯ¼ץĲ
* tHandle 
* ptEventCapturePara ץλòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryCaptureSetup(DCHANDLE tHandle,T_EventCapturePara *ptEventCapturePara);

/**********************************************************************
* ƣNet_SnapshotSetup
* ÿץĲ
* tHandle 
*           ptCameraSetup ץĲָ
* 
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_SnapshotSetup(DCHANDLE tHandle,  T_CameraSetup *ptCameraSetup);

/**********************************************************************
* ƣNet_QuerySnapshotSetup
* ѯץĲ
* tHandle 
*           ptCameraSetup ץĲָ
* ptCameraSetup ץĲָ
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_QuerySnapshotSetup(DCHANDLE tHandle,  unsigned int uiPara, T_CameraSetup *ptCameraSetup);

/**********************************************************************
* ƣNet_RoadLaneBasicSetup
* ûò
* tHandle 
*           ptRoadLaneBasicSetup òָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_RoadLaneBasicSetup(DCHANDLE tHandle,  T_RoadLaneBasicSetup *ptRoadLaneBasicSetup);

/**********************************************************************
* ƣNet_QueryRoadLaneBasicSetup
* ѯò
* tHandle 
* ptRoadLaneBasicSetup òָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryRoadLaneBasicSetup(DCHANDLE tHandle,T_RoadLaneBasicSetup *ptRoadLaneBasicSetup);

/**********************************************************************
* ƣNet_RoadLaneExternSetup
* չò
* tHandle 
*           ptRoadLaneExtendSetup չòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_RoadLaneExternSetup(DCHANDLE tHandle,  T_RoadLaneExtendSetup *ptRoadLaneExtendSetup);

/**********************************************************************
* ƣNet_QueryRoadLaneExternSetup
* ѯչò
* tHandle 
* ptRoadLaneExtendSetup չòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryRoadLaneExternSetup(DCHANDLE tHandle, T_RoadLaneExtendSetup *ptRoadLaneExtendSetup);

/**********************************************************************
* ƣNet_CameraParamSetup
* 
* tHandle 
*           T_CameraSetup ָ
* 
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode  _stdcall Net_CameraParamSetup(DCHANDLE tHandle,  T_CameraSetup *ptCameraSetup);

/**********************************************************************
* ƣNet_QueryCameraParamSetup
* ѯ
* tHandle 
*           T_CameraSetup ָ
* T_CameraSetup ָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryCameraParamSetup(DCHANDLE tHandle,  T_CameraSetup *ptCameraSetup);

/**********************************************************************
* ƣNet_VideoCodecSetup
* Ƶ
* tHandle 
*           ptVideoCodec Ƶָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_VideoCodeSetup(DCHANDLE tHandle, T_VideoCodeSetup *ptVideoCodeSetup);

/**********************************************************************
* ƣNet_QueryVideoCodeSetup
* ѯƵ
* tHandle 
* ptVideoCodec Ƶָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryVideoCodeSetup(DCHANDLE tHandle, T_VideoCodeSetup *ptVideoCodeSetup);

/**********************************************************************
* ƣNet_QueryRS485Setup
* RS485ò
* tHandle 
*           ptRs485Setup RS485òָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_RS485Setup(DCHANDLE tHandle,  T_RS485Setup *ptRs485Setup);

/**********************************************************************
* ƣNet_QueryRS485Setup
* ѯRS485ò
* tHandle 
* ptRs485Setup RS485òָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryRS485Setup(DCHANDLE tHandle,  T_RS485Setup *ptRs485Setup);

/**********************************************************************
* ƣNet_ParkRS485Setup
* ͣRS485ò
* tHandle 
*           ptRs485Setup ͣRS485òָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ParkRS485Setup(DCHANDLE tHandle,  T_ParkRS485Setup *ptRs485Setup);

/**********************************************************************
* ƣNet_QueryParkRS485Setup
* ѯͣRS485ò
* tHandle 
* ptRs485Setup ͣRS485òָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryParkRS485Setup(DCHANDLE tHandle,  T_ParkRS485Setup *ptRs485Setup);

/**********************************************************************
* ƣNet_VehicleVAFunSetup
* óʶò
* tHandle 
*           ptVehicleVAFunSetup	ʶòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_VehicleVAFunSetup(DCHANDLE tHandle,  T_VehicleVAFunSetup *ptVehicleVAFunSetup);

/**********************************************************************
* ƣNet_QueryVehicleVAFunSetup
* ѯʶò
* tHandle 
* ptVehicleVAFunSetup	ʶòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryVehicleVAFunSetup(DCHANDLE tHandle,  T_VehicleVAFunSetup *ptVehicleVAFunSetup);

/**********************************************************************
* ƣNet_PicOsdSetup
* óͼƬĻò
* tHandle 
*           ptPicOsdSetup ͼƬĻòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_PicOsdSetup(DCHANDLE tHandle,  T_PicOsdSetup *ptPicOsdSetup);

/**********************************************************************
* ƣNet_QueryPicOsdSetup
* ѯͼƬĻò
* tHandle 
* ptPicOsdSetup ͼƬĻòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryPicOsdSetup(DCHANDLE tHandle,  T_PicOsdSetup *ptPicOsdSetup);

/**********************************************************************
* ƣNet_StorageSetup
* ôϢò
* tHandle 
*           ptStorageSetup Ϣòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode  _stdcall Net_StorageSetup(DCHANDLE tHandle,  T_StorageSetup *ptStorageSetup);

/**********************************************************************
* ƣNet_QueryStorageSetup
* ѯϢò
* tHandle 
* ptStorageSetup Ϣòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryStorageSetup(DCHANDLE tHandle,  T_StorageSetup *ptStorageSetup);
/**********************************************************************
* ƣNet_DemoSetup
* ʾģʽò
* tHandle 
*           ptDemoSetup	   ʾģʽòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_DemoSetup(DCHANDLE tHandle,  T_DemoSetup *ptDemoSetup);

/**********************************************************************
* ƣNet_QueryDemoSetup
* ѯʾģʽò
* tHandle 
* ptSetup  ʾģʽòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDemoSetup(DCHANDLE tHandle,  T_DemoSetup *ptSetup);

/**********************************************************************
* ƣNet_ImageEvSetup
* ˳ò
* tHandle 
*           ptImageEv ̬òָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ImageEvSetup(DCHANDLE tHandle,  T_ImageEv *ptImageEv);

/**********************************************************************
* ƣNet_QueryImageEvSetup
* ѯ˳ò
* tHandle 
* ptImageEv ̬òָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryImageEvSetup(DCHANDLE tHandle,  T_ImageEv *ptImageEv);

/**********************************************************************
* ƣNet_ImageWDRSetup
* ץλò
* tHandle 
*           ptImageWDR ץλòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ImageWDRSetup(DCHANDLE tHandle,  T_ImageWDR *ptImageWDR);

/**********************************************************************
* ƣNet_QueryImageWDRSetup
* ѯץλò
* tHandle 
* ptImageWDR ץλòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryImageWDRSetup(DCHANDLE tHandle,  T_ImageWDR *ptImageWDR);

/**********************************************************************
* ƣNet_ServicePortSetup
* RTSP/HTTP˿ڲ
* tHandle 
*           ptServicePortSetup	˿ڲָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ServicePortSetup(DCHANDLE tHandle,  T_ServicePortSetup *ptServicePortSetup);

/**********************************************************************
* ƣNet_QueryServicePortSetup
* RTSP/HTTP˿ڲ
* tHandle 
* ptServicePortSetup	˿ڲָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode  _stdcall Net_QueryServicePortSetup(DCHANDLE tHandle,  T_ServicePortSetup *ptServicePortSetup);

/**********************************************************************
* ƣNet_ImageCodecSetup
* ͼ
* tHandle 
*           ptImageCodec ͼָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ImageCodecSetup(DCHANDLE tHandle,  T_ImageCodec *ptImageCodec);

/**********************************************************************
* ƣNet_QueryImageCodecSetup
* ѯͼ
* tHandle 
* ptImageCodec ͼָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryImageCodecSetup(DCHANDLE tHandle,  T_ImageCodec *ptImageCodec);

/**********************************************************************
* ƣNet_FlashLightSetup
* ò
* tHandle 
*           ptFlashLightSetup òָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_FlashLightSetup(DCHANDLE tHandle,  T_FlashLightSetup *ptFlashLightSetup);

/**********************************************************************
* ƣNet_QueryFlashLightSetup
* ѯò
* tHandle 
* ptFlashLightSetup òָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryFlashLightSetup(DCHANDLE tHandle,  T_FlashLightSetup *ptFlashLightSetup);

/**********************************************************************
* ƣNet_SignalLightSetup
* źŵò
* tHandle 
*           ptSignalLightSetup źŵòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SignalLightSetup(DCHANDLE tHandle,  T_SignalLightSetup *ptSignalLightSetup);

/**********************************************************************
* ƣNet_QuerySignalLightSetup
* ѯźŵò
* tHandle 
* ptSignalLightSetup źŵòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySignalLightSetup(DCHANDLE tHandle,  T_SignalLightSetup *ptSignalLightSetup);

/**********************************************************************
* ƣNet_SetSigLightParm
* źŵ
* tHandle 
			ptSigLightParm  ָźŵõָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SigLightParmSetup(DCHANDLE tHandle,T_SigLightParm *ptSigLightParm);

/**********************************************************************
* ƣNet_QuerySigLightParm
* ѯźŵ
* tHandle 
			ptSigLightParm  ָźŵõָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySigLightParmSetup(DCHANDLE tHandle,T_SigLightParm *ptSigLightParm);

/**********************************************************************
* ƣNet_LedLightBasicSetup
* źŵò
* tHandle 
*           ptLedLightBasicSetup źŵòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_LedLightBasicSetup(DCHANDLE tHandle,  T_LedLightBasicSetup *ptLedLightBasicSetup);

/**********************************************************************
* ƣNet_QueryLedLightBasicSetup
* ѯźŵò
* tHandle 
* ptLedLightBasicSetup źŵòָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryLedLightBasicSetup(DCHANDLE tHandle,  T_LedLightBasicSetup *ptLedLightBasicSetup);

/**********************************************************************
* ƣNet_QueryDevVersion
* ѯ汾Ϣ
* tHandle 
*           ptDcQueVersionRsp 汾Ϣָ
* ptDcQueVersionRsp 汾Ϣָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDevVersion(DCHANDLE tHandle, T_DcQueVersionRsp *ptDcQueVersionRsp);







/**********************************************************************
* ƣNet_FileUpdate
* ϵͳ
* tHandle 
*			ptUpdateSetup ϵͳָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_FileUpdate(DCHANDLE tHandle,  T_UpdateSetup *ptUpdateSetup);
NET_API E_ReturnCode _stdcall Net_FileUpload(DCHANDLE tHandle,  T_FileServerSetup *ptFileServerSetup);
NET_API E_ReturnCode _stdcall Net_FileDownload(DCHANDLE tHandle,  T_FileServerSetup *ptFileServerSetup);

typedef void (*NET_FileSendProgress) (DCHANDLE tHandle, int nProgress, void* pUser);
NET_API E_ReturnCode _stdcall Net_RegFileUpdateProgress(DCHANDLE tHandle,  NET_FileSendProgress pFileSendProgress, void* pUser);

/**********************************************************************
* ƣNet_DetectModeSetup
* ļģʽ
* tHandle 
*			ptDetectModeSetup ģʽָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_DetectModeSetup(DCHANDLE tHandle,  T_DetectModeSetup *ptDetectModeSetup);

/**********************************************************************
* ƣNet_QueryDetectModeSetup
* ѯļģʽ
* tHandle 
* ptDetectModeSetup ģʽָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDetectModeSetup(DCHANDLE tHandle,  T_DetectModeSetup *ptDetectModeSetup);

/**********************************************************************
* ƣNet_LoopDetectSetup
* Ȧģʽ
* tHandle 
*			ptLoopParamSetup Ȧģʽָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_LoopDetectSetup(DCHANDLE tHandle,  T_LoopParamSetup *ptLoopParamSetup);

/**********************************************************************
* ƣNet_QueryLoopDetectSetup
* ѯȦģʽ
* tHandle 
* ptLoopParamSetup Ȧģʽָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryLoopDetectSetup(DCHANDLE tHandle,  T_LoopParamSetup *ptLoopParamSetup);

/**********************************************************************
* ƣNet_VideoDetectSetup
* Ƶ
* tHandle 
*			ptVideoDetectParamSetup Ƶָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_VideoDetectSetup(DCHANDLE tHandle,  T_VideoDetectParamSetup *ptVideoDetectParamSetup);

/**********************************************************************
* ƣNet_QueryVideoDetectSetup
* ѯƵ
* tHandle 
* ptVideoDetectParamSetup Ƶָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryVideoDetectSetup(DCHANDLE tHandle,  T_VideoDetectParamSetup *ptVideoDetectParamSetup);

/**********************************************************************
* ƣNet_VideoDetectSetup
* Ƶ
* tHandle 
*			ptVideoDetectParamSetup Ƶָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_DJVideoDetectSetup(DCHANDLE tHandle,  T_DJVideoDetectParamSetup *ptVideoDetectParamSetup);

/**********************************************************************
* ƣNet_QueryVideoDetectSetup
* ѯƵ
* tHandle 
* ptVideoDetectParamSetup Ƶָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDJVideoDetectSetup(DCHANDLE tHandle,  T_DJVideoDetectParamSetup *ptVideoDetectParamSetup);


/**********************************************************************
* ƣNet_RadarParamSetup
* ״
* tHandle 
*			ptRadarParamSetup ״ָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_RadarParamSetup(DCHANDLE tHandle,  T_RadarParamSetup *ptRadarParamSetup);

/**********************************************************************
* ƣNet_QueryVideoDetectSetup
* ѯ״
* tHandle 
* ptRadarParamSetup ״ָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryRadarParamSetup(DCHANDLE tHandle,  T_RadarParamSetup *ptRadarParamSetup);

/**********************************************************************
* ƣNet_SetupRestore
* ָ
* tHandle 
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetupRestore(DCHANDLE tHandle);

/**********************************************************************
* ƣNet_StoreConfig
* 浱ǰ
* tHandle 
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_StoreConfig(DCHANDLE tHandle);

/**********************************************************************
* ƣNet_ReStoreConfig
* ָһ
* tHandle 
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ReStoreConfig(DCHANDLE tHandle);

/**********************************************************************
* ƣNet_GetSysState
* ѯϵͳ״̬
* tHandle 
*			ptSysState ϵͳ״ָ̬
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_GetSysState(DCHANDLE tHandle, T_SysState *ptSysState);

/**********************************************************************
* ƣNet_ImportConfig
* 
* tHandle 
*			ptImportConfigSetup õָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ImportConfig(DCHANDLE tHandle, T_ImportConfigSetup *ptImportConfigSetup);

/**********************************************************************
* ƣNet_ExportConfig
* 
* tHandle 
*			ptExportConfigSetup õָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ExportConfig(DCHANDLE tHandle, T_ExportConfigSetup *ptExportConfigSetup);

/**********************************************************************
* ƣNet_RebootTimeSetup
* öʱϵͳ
* tHandle 
*			ptTimeReboot ʱϵͳָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_RebootTimeSetup(DCHANDLE tHandle, T_TimeReboot *ptTimeReboot);

/**********************************************************************
* ƣNet_QueryRebootTimeSetup
* ѯʱϵͳ
* tHandle 
* ptTimeReboot ʱϵͳָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryRebootTimeSetup(DCHANDLE tHandle, T_TimeReboot *ptTimeReboot);

/**********************************************************************
* ƣNet_QuerySysVersion
* ѯϵͳ汾
* tHandle 
* ptQueVersionRsp ϵͳ汾ָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySysVersion(DCHANDLE tHandle, T_QueVersionRsp *ptQueVersionRsp);

/**********************************************************************
* ƣNet_QueryState
* ѯϵͳ״̬
* tHandle 
*			T_SysState ϵͳ״ָ̬
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryState(DCHANDLE tHandle, T_SysState *ptSysState);

/**********************************************************************
* ƣNet_SpeedLimitSetup
* óٲ
* tHandle 
*			ptSpeedCorrAndLimitSetup ٲָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SpeedLimitSetup(DCHANDLE tHandle,  T_SpeedCorrAndLimitSetup *ptSpeedCorrAndLimitSetup);

/**********************************************************************
* ƣNet_QuerySpeedLimitSetup
* ѯٲ
* tHandle 
* ptSpeedCorrAndLimitSetup ٲָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySpeedLimitSetup(DCHANDLE tHandle,  T_SpeedCorrAndLimitSetup *ptSpeedCorrAndLimitSetup);

/**********************************************************************
* ƣNet_PicTransPortSetup
* ͼƬЭ
* tHandle 
*           ptTransPort ͼƬЭָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_PicTransPortSetup(DCHANDLE tHandle, T_TransProt *ptTransPort);

/**********************************************************************
* ƣNet_QueryPicTransPortSetup
* ѯͼƬЭ
* tHandle 
* ptTransPort ͼƬЭָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryPicTransPortSetup(DCHANDLE tHandle, T_TransProt *ptTransPort);

/**********************************************************************
* ƣNet_MulticastSetup
* 鲥ò
* tHandle 
*           ptMulticastSetup 鲥òָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_MulticastSetup(DCHANDLE tHandle, T_MulticastSetup *ptMulticastSetup);

/**********************************************************************
* ƣNet_QueryMulticastSetup
* ѯ鲥ò
* tHandle 
* ptMulticastSetup 鲥òָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryMulticastSetup(DCHANDLE tHandle, T_MulticastSetup *ptMulticastSetup);

/**********************************************************************
* ƣNet_QueryHardInfo
* ѯӲϢ
* tHandle 
* ptHardDiskInfo ӲϢָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryHardInfo(DCHANDLE tHandle, T_HardDiskInfo *ptHardDiskInfo);

/**********************************************************************
* ƣNet_DiskFomat
* ʽSSD
* tHandle 
			ptHardDiskNum ѡ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_DiskFomat(DCHANDLE tHandle, T_HardDiskNum *ptHardDiskNum);

/**********************************************************************
* ƣNet_QueryLogCount
* ѯ־ļ
* tHandle 
			ptLogCount ־ļĿѯṹָ
* ptLogCountRsp ־ļָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryLogCount(DCHANDLE tHandle, T_QueryFileBase *ptLogCount,T_FileCountRsp *ptLogCountRsp);

/**********************************************************************
* ƣNet_QueryLogInfo
* ѯ־ļϢ
* tHandle 
			ptLogInfo ־ļϢѯṹָ
* ptLogInfoRsp ־ļϢָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryLogInfo(DCHANDLE tHandle, T_QueryFileItem *ptLogInfo,T_FileInfoRsp *ptLogInfoRsp);

/**********************************************************************
* ƣNet_ParkGatePulseSetup
* ͣբʱ
* tHandle 
*			ptGatePulse բʱָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_ParkGatePulseSetup(DCHANDLE tHandle, T_ParkSetup *ptGatePulse);

/**********************************************************************
* ƣNet_QueryParkGatePulse
* ѯͣբʱ
* tHandle 
* ptGatePulse բʱָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryParkGatePulse(DCHANDLE tHandle, T_ParkSetup *ptGatePulse);

/**********************************************************************
* ƣNet_BackMessagerSetup
* ñ÷Ķ˿
* tHandle 
*			ptMessenger ÷˿ָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_BackMessagerSetup(DCHANDLE tHandle,T_Messenger *ptMessenger);

/**********************************************************************
* ƣNet_BackMessagerSetup
* ñ÷Ķ˿
* tHandle 
*			ptMessenger ÷˿ָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryBackMessagerSetup(DCHANDLE tHandle,T_Messenger *ptMessenger);
/**********************************************************************
* ƣNet_SetCustomerNo
* õǰҵı
* tHandle 
			ptCustomerNo  ָ򳧼ұŵָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetCustomerNo(DCHANDLE tHandle,T_CustomerNo *ptCustomerNo);

/**********************************************************************
* ƣNet_QueryCustomerNo
* ѯǰҵı
* tHandle 
			ptCustomerNo  ָ򳧼ұŵָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryCustomerNo(DCHANDLE tHandle,T_CustomerNo *ptCustomerNo);

/**********************************************************************
* ƣNet_SetWiperTime
* ˢʱʱ
* tHandle 
			ptWiperTimeing  ָʱˢõָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetWiperTime(DCHANDLE tHandle,T_WiperTiming *ptWiperTimeing);

/**********************************************************************
* ƣNet_QueryWiperTime
* ѯˢʱʱ
* tHandle 
			ptWiperTimeing  ָʱˢõָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryWiperTime(DCHANDLE tHandle,T_WiperTiming *ptWiperTimeing);

/**********************************************************************
* ƣNet_SetVideoAve
* ܼ
* tHandle 
			ptAveConfig  ָܼõָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetVideoAve(DCHANDLE tHandle,T_Ave_Config *ptAveConfig);

/**********************************************************************
* ƣNet_QueryVideoAve
* ѯܼ
* tHandle 
			ptAveConfig  ָܼõָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryVideoAve(DCHANDLE tHandle,T_Ave_Config *ptAveConfig);

/**********************************************************************
* ƣNet_SetParkLedManual
* LEDǿƿƲ
* tHandle 
			ptParkLedManual  ָLEDǿƿƲָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetParkLedManual(DCHANDLE tHandle,T_ParkLedManual *ptParkLedManual);

/**********************************************************************
* ƣNet_QueryParkLedManual
* ѯLEDǿƿƲ
* tHandle 
			ptParkLedManual  ָLEDǿƿƲָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryParkLedManual(DCHANDLE tHandle,T_ParkLedManual *ptParkLedManual);


/**********************************************************************
* ƣNet_SetWirelessSetup
* ȵò
* tHandle 
			ptWirelessSetup  ָȵòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetWirelessSetup(DCHANDLE tHandle,T_WirelessSetup *ptWirelessSetup);

/**********************************************************************
* ƣNet_QueryWirelessSetup
* ѯȵò
* tHandle 
			ptWirelessSetup  ָȵòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryWirelessSetup(DCHANDLE tHandle,T_WirelessSetup *ptWirelessSetup);

/**********************************************************************
* ƣNet_Set3GSetup
* 3Gò
* tHandle 
			pt3GSetup  ָ3Gòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_Set3GSetup(DCHANDLE tHandle,T_3GSetup *pt3GSetup);

/**********************************************************************
* ƣNet_Query3GSetup
* ѯ3Gò
* tHandle 
			pt3GSetup  ָ3Gòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_Query3GSetup(DCHANDLE tHandle,T_3GSetup *pt3GSetup);

/**********************************************************************
* ƣNet_SetScreenSetup
* ò
* tHandle 
			ptScreenSetup  ָòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetScreenSetup(DCHANDLE tHandle,T_ScreenSetup *ptScreenSetup);

/**********************************************************************
* ƣNet_QueryScreenSetup
* ѯò
* tHandle 
			ptScreenSetup  ָòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryScreenSetup(DCHANDLE tHandle,T_ScreenSetup *ptScreenSetup);

/**********************************************************************
* ƣNet_SetSection
* ʱα
* tHandle 
			ptSectionTable  ָʱαòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetSectionTable(DCHANDLE tHandle,T_SectionTable *ptSectionTable);

/**********************************************************************
* ƣNet_QuerySection
* ѯʱα
* tHandle 
			ptSectionTable  ָʱαòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QuerySectionTable(DCHANDLE tHandle,T_SectionTable *ptSectionTable);

/**********************************************************************
* ƣNet_SetUserParkInfo
* ûλϢ
* tHandle 
			ptUserParkInfo  ָûλϢòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetUserParkInfo(DCHANDLE tHandle,T_UserParkInfo *ptUserParkInfo);

/**********************************************************************
* ƣNet_QueryUserParkInfo
* ѯûλϢ
* tHandle 
			ptUserParkInfo  ָûλϢòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryUserParkInfo(DCHANDLE tHandle,T_UserParkInfo *ptUserParkInfo);

/**********************************************************************
* ƣNet_SetDetectPlateType
* óʶϢ
* tHandle 
			ptDetectPlateType  ָʶϢָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetDetectPlateType(DCHANDLE tHandle,T_DetectPlateType *ptDetectPlateType);

/**********************************************************************
* ƣNet_QueryDetectPlateType
* ѯʶϢ
* tHandle 
			ptDetectPlateType  ָʶϢָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDetectPlateType(DCHANDLE tHandle,T_DetectPlateType *ptDetectPlateType);

/**********************************************************************
* ƣNet_SetExpDate
* Ч
* tHandle 
			ptExpDate  ָЧϢָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetExpDate(DCHANDLE tHandle,T_ExpDate *ptExpDate);

/**********************************************************************
* ƣNet_QueryExpDate
* ѯЧ
* tHandle 
			ptExpDate  ָЧϢָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryExpDate(DCHANDLE tHandle,T_ExpDate *ptExpDate);

/**********************************************************************
* ƣNet_SetAssCamera
* øIP
* tHandle 
			ptAssCameraSetup  ָIPòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetAssCamera(DCHANDLE tHandle, T_AssCameraSetup *ptAssCameraSetup);

/**********************************************************************
* ƣNet_QueryAssCamera
* ѯIP
* tHandle 
			ptAssCameraSetup  ָIPòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryAssCamera(DCHANDLE tHandle, T_AssCameraSetup *ptAssCameraSetup);

/**********************************************************************
* ƣNet_SetAssDistrict
* øʶ
* tHandle 
			ptAssDistrict  ָʶòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SetAssDistrict(DCHANDLE tHandle, T_AssDistrict *ptAssDistrict);

/**********************************************************************
* ƣNet_QueryAssDistrict
* ѯIP
* tHandle 
			ptAssDistrict  ָʶòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryAssDistrict(DCHANDLE tHandle, T_AssDistrict *ptAssDistrict);

/**********************************************************************
* ƣNet_QueryAssCameraStatus
* ѯ״̬
* tHandle 
			ptAssCameraStatus  ָ״ָ̬
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryAssCameraStatus(DCHANDLE tHandle, T_AssCameraStatus *ptAssCameraStatus);

/**********************************************************************
* ƣNet_AssCameraIpModify
* ޸ĸIPַ
* tHandle 
			ptAssCameraIpModify  ָIPַָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_AssCameraIpModify(DCHANDLE tHandle, T_AssCameraIpModify *ptAssCameraIpModify);

/**********************************************************************
* ƣNet_AssCameraIpSearch
* IPϢ
* tHandle 
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_AssCameraIpSearch(DCHANDLE tHandle);

/**********************************************************************
* ƣNet_SendBlackWhiteListByMessEx
* ͨϢ
* tHandle 
			ptSendLprByMessEx  ָϢòָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_SendBlackWhiteListByMessEx(DCHANDLE tHandle,T_SendLprByMessEx *ptSendLprByMessEx);

/**********************************************************************
* ƣNet_QueryWhiteListByPlateEx
* ͨƲѯڸóϢַΪGB2312
* tHandle 
*			pPlateInfo ƺ
			ptRspLprResultEx ָѯĳϢ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryWhiteListByPlateEx(DCHANDLE tHandle, const char *pPlateInfo,T_RspLprResultEx *ptRspLprResultEx);

/**********************************************************************
* ƣNet_QueryVideoAve
* ѯǰͤ״̬ϢͨNET_ParkStateCallBackصϱ
* tHandle 
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryParkState(DCHANDLE tHandle);

/**********************************************************************
* ƣNet_QuerySignatrue
* ѯǩַ
* tHandle 
* ucEncId     ʹܻ
*			szSignatrue ǩַ
*		    ptLen		С
* ucEncId     ʹϢ,Ϊ0Ϊ,ΪΪ
*			szSignatrue ǩַϢ
*           ptLen		ǩַʵ
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_QuerySignatrue(DCHANDLE tHandle, unsigned char *ucEncId, char *szSignatrue, int *ptLen);

/**********************************************************************
* ƣNet_ResetEncPwd
* û
* tHandle 
* szMainPwd 
*		    szNewPwd û
* 
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_ResetEncPwd(DCHANDLE tHandle, char *szMainPwd, char *szNewPwd);

/**********************************************************************
* ƣNet_ModifyEncPwd
* ޸û
* tHandle 
* szOldPwd û
*		    szNewPwd û
* 
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_ModifyEncPwd(DCHANDLE tHandle, char *szOldPwd, char *szNewPwd);

/**********************************************************************
* ƣNet_ModifyEncPwd
* Ƿ
* tHandle 
* ucEncId Ϊ0Ϊ,ΪΪ,ʱҪNet_SetDecPwdܳ
*		    szPwd û
* 
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_EnableEnc(DCHANDLE tHandle, unsigned char ucEncId, char *szPwd);

/**********************************************************************
* ƣNet_SetEncPwd
* óƽ
* tHandle 
*		    szPwd ƽ
* 
*   ֵ״̬
***********************************************************************/
//NET_API E_ReturnCode _stdcall Net_SetDecPwd(DCHANDLE tHandle, char *szPwd);



/**********************************************************************
* ƣNet_HttpConfigSetup
* http 
* tHandle 
*			ptHttpcfgSetup httpָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_HttpConfigSetup(DCHANDLE tHandle,  T_HttpPushSetup *ptHttpcfgSetup);

/**********************************************************************
* ƣNet_QueryHttpConfigSetup
* ѯhttp 
* tHandle 
* ptHttpcfgSetup httpָ
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryHttpcfgSetup(DCHANDLE tHandle,  T_HttpPushSetup *ptHttpSetup);

/**********************************************************************
* ƣNet_QueryDevRunTime
* ѯϵͳʱ
* tHandle 
			ptDevRunTime  ָϵͳʱָ
* 
*   ֵ״̬
***********************************************************************/
NET_API E_ReturnCode _stdcall Net_QueryDevRunTime(DCHANDLE tHandle, T_DevRunTime *ptDevRunTime);

#ifdef __cplusplus
}
#endif
#endif


